/**
  ******************************************************************************
  * @file    clock.h 
  * @author  EMEA AMS-IPD Marketing & Application, Prague - VE
  * @version V1.0.1
  * @date    June-2012
  * @brief   Header for clock.c module
  ******************************************************************************
  * @copy
  *
  * THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
  * WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE
  * TIME. AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY
  * DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
  * FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE
  * CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
  *
  * <h2><center>&copy; COPYRIGHT 2011 STMicroelectronics</center></h2>
  */ 

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __CLOCK_H
#define __CLOCK_H

/* Includes ------------------------------------------------------------------*/
#include "stm32f10x_rcc.h"

/* Exported types ------------------------------------------------------------*/

/* Exported constants --------------------------------------------------------*/

/* Uncomment the line corresponding to the desired System clock (SYSCLK)
   frequency (after reset the HSI is used as SYSCLK source) */
/* #define SYSCLK_HSE */
#define SYSCLK_FREQ_24MHz

/* Exported macro ------------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */

void SetSysClock(void);
void SetSysClockToHSE(void);
void SetSysClockTo24(void);


#endif /* __CLOCK_H */

/******************* (C) COPYRIGHT 2011 STMicroelectronics *****END OF FILE****/
